Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2753163004: Remove ID from ui::PointerEvent's constructors (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by lanwei
Modified:
6 months, 1 week ago
Reviewers:
brettw, sadrul, dcheng
CC:
chromium-reviews, rjkroege, sadrul, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, tfarina, dcheng, abarth-chromium, Aaron Boodman, yzshen+watch_chromium.org, kalyank, darin (slow to review)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove ID from ui::PointerEvent's constructors We should put all the PointerEvent's properties in PointerDetails class, so remove ID from ui::PointerEvent's constructors into the PointerDetails object. BUG=699372 Review-Url: https://codereview.chromium.org/2753163004 Cr-Commit-Position: refs/heads/master@{#458303} Committed: https://chromium.googlesource.com/chromium/src/+/055c05b7eec28250e13af090d0d1f9c4ea6e7b3f

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+78 lines, -75 lines) Patch
M ash/common/metrics/pointer_metrics_recorder_unittest.cc View 4 chunks +15 lines, -15 lines 0 comments Download
M services/ui/ws/drag_controller_unittest.cc View 1 chunk +4 lines, -3 lines 0 comments Download
M services/ui/ws/event_dispatcher.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M services/ui/ws/window_manager_state_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M ui/aura/mus/window_tree_client_unittest.cc View 4 chunks +8 lines, -8 lines 0 comments Download
M ui/events/event.h View 1 chunk +0 lines, -1 line 0 comments Download
M ui/events/event.cc View 2 chunks +0 lines, -2 lines 0 comments Download
M ui/events/event_unittest.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M ui/events/mojo/event_struct_traits.cc View 2 chunks +7 lines, -6 lines 0 comments Download
M ui/events/mojo/struct_traits_unittest.cc View 1 chunk +20 lines, -16 lines 0 comments Download
M ui/views/mus/pointer_watcher_event_router_unittest.cc View 2 chunks +11 lines, -11 lines 0 comments Download
Trybot results:  chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   android_arm64_dbg_recipe   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   android_cronet   ios-simulator   win_clang   linux_chromium_compile_dbg_ng   win_chromium_rel_ng   cast_shell_linux   ios-simulator-xcode-clang   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   mac_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_n5x_swarming_rel   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   linux_chromium_chromeos_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   chromium_presubmit   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_rel_ng   android_compile_dbg   ios-device   mac_chromium_rel_ng   linux_chromium_rel_ng   linux_android_rel_ng   android_compile_dbg   linux_chromium_chromeos_rel_ng   cast_shell_android   android_cronet   linux_chromium_chromeos_ozone_rel_ng   ios-simulator-xcode-clang   win_clang   chromium_presubmit   ios-device   chromeos_daisy_chromium_compile_only_ng   ios-simulator   linux_chromium_rel_ng   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_compile_dbg_ng   android_arm64_dbg_recipe   linux_android_rel_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   android_clang_dbg_recipe   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   mac_chromium_rel_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (13 generated)
lanwei
6 months, 1 week ago (2017-03-18 20:01:14 UTC) #8
sadrul
Thank you! lgtm
6 months, 1 week ago (2017-03-19 00:47:46 UTC) #9
lanwei
brettw@ could you please take a look at all the files under ash/, services/, dcheng@ ...
6 months, 1 week ago (2017-03-20 16:35:42 UTC) #11
dcheng
IPC lgtm
6 months, 1 week ago (2017-03-20 16:48:51 UTC) #12
brettw
lgtm
6 months, 1 week ago (2017-03-20 18:06:13 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2753163004/1
6 months, 1 week ago (2017-03-20 18:34:09 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/139975) linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, ...
6 months, 1 week ago (2017-03-20 19:21:15 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2753163004/1
6 months, 1 week ago (2017-03-21 02:34:17 UTC) #19
commit-bot: I haz the power
6 months, 1 week ago (2017-03-21 03:51:30 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/055c05b7eec28250e13af090d0d1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b